ORGY - ORG-mode and rubY
===========

Orgy allows you to read and write org files as objects. This lets you easily manipulate your org file programatically and allows you to easily extend your org-mode (read: life) into other environments.

Features
--------

* Generates org files with:
  - Headlines
  - Bulleted lists
  - Numbered lists
  - Plain text
  - Hyperlinks
  - Time stamps (active and inactive)
  - Time ranges
  - And more coming

* Parses org files into objects
  - Not yet implemented

Examples
--------

  Create the objects:

    header = Orgy::OrgHeadline.new("This is my first header\n")
    bullet_list = Orgy::OrgBulletList.new
    link = Orgy::OrgHyperlink.new("http://github.com","It's what's for breakfast")
    org_string = Orgy::OrgString.new("I love ")
    normal_string = "github "

  Assign the objects

    bullet_list.add_item org_string.to_s << normal_string  
    bullet_list.add_item link

    header.push_child bullet_list # No children were harmed in the making of this object
    
  Now we can print the object

    header.to_s

  This prints out

    * This is my first header
        - I love github
        - [[http://github.com][It's what's for breakfast]]
    
Requirements
------------

For Development:

  * bundler
  * jeweler -- https://github.com/technicalpickles/jeweler/pull/225
  * rspec

For Release:

  * none

Install
-------

  To build from source

    bundle install
    rake install

  or install from rubygems.org

    gem install orgy

Author
------

Original author: Trevor Basinger

License
-------

The MIT License 

Copyright (c) 2012 Trevor Basinger

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
'Software'), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Misc
----
Version numbers are specified by the Semantic Versioning 2.0.0-rc.1 standards
http://semver.org
