require 'spec_helper'

describe Orgy::OrgBulletList do
  
  it "initializes properly" do
    Orgy::OrgBulletList.new.should be_kind_of Orgy::OrgBulletList
  end

  before(:each) do 
    @bullet = Orgy::OrgBulletList.new
  end

  it "knows it's empty" do
    @bullet.empty?.should eql true
  end

  it "adds an item to array" do
    expect { 
      @bullet.add_item Orgy::OrgString.new('this is a test') 
    }.should_not raise_error
  end

  it "deletes an item from array using index" do
    @bullet.add_item Orgy::OrgString.new('this is a test') 
    @bullet.delete_item_at 0
    @bullet.empty?.should eql true
  end

  it "deletes an item from array using item" do
    item = Orgy::OrgString.new('this is a test') 
    @bullet.add_item item
    @bullet.delete_item @bullet.data[:container].first
    @bullet.empty?.should eql true
  end

  it "prints to string" do
    @bullet.add_item Orgy::OrgString.new('this is a test') 
    @bullet.add_item Orgy::OrgString.new('this is a test1') 
    @bullet.add_item Orgy::OrgString.new('this is a test2') 
    #puts
    #puts @bullet.to_s
    #puts
    @bullet.to_s.should be_kind_of String
  end

end
