require 'spec_helper'

describe Orgy::OrgNumberList do
  
  it "initializes properly" do
    Orgy::OrgNumberList.new.should be_kind_of Orgy::OrgNumberList
  end

  before(:each) do 
    @number = Orgy::OrgNumberList.new
  end

  it "knows it's empty" do
    @number.empty?.should eql true
  end

  it "adds an item to array" do
    expect { 
      @number.add_item Orgy::OrgString.new('this is a test') 
    }.should_not raise_error
  end

  it "deletes an item from array using index" do
    @number.add_item Orgy::OrgString.new('this is a test') 
    @number.delete_item_at 0
    @number.empty?.should eql true
  end

  it "deletes an item from array using item" do
    item = Orgy::OrgString.new('this is a test') 
    @number.add_item item
    @number.delete_item @number.data[:container].first
    @number.empty?.should eql true
  end

  it "prints to string" do
    @number.add_item Orgy::OrgString.new('this is a test') 
    @number.add_item Orgy::OrgString.new('this is a test1') 
    @number.add_item Orgy::OrgString.new('this is a test2') 
    #puts
    #puts @number.to_s
    #puts
    @number.to_s.should be_kind_of String
  end

end
