require 'spec_helper'
require 'date'

describe Orgy::OrgTimeRange do

  it "doesn't initialize with incorrect parameters" do
    date1 = DateTime.now
    date2 = DateTime.parse('9th of Feb 2012')
    expect {
      Orgy::OrgTimeRange.new date1, date2
    }.should_not raise_exception
    expect {
      Orgy::OrgTimeRange.new
    }.should raise_exception
    expect {
      Orgy::OrgTimeRange.new 1, 2
    }.should raise_exception
  end

  before(:each) do
    date1 = DateTime.now
    date2 = DateTime.parse('2012-02-09')
    @range = Orgy::OrgTimeRange.new date1, date2
  end

  it "knows if it's active or not" do
    @range.active?.should eql false
  end

  it "activates itself" do
    @range.active!
    @range.active?.should eql true
  end
  
  it "deactivates itself" do
    @range.inactive!
    @range.active?.should eql false
  end

  it "prints to a string" do
    @range.to_s.class.should eql String
  end

end
