require 'spec_helper'
require 'date'

describe Orgy::OrgTimeStamp do 
  
  it "does not initializes without a parameter" do
    expect {
      Orgy::OrgTimeStamp.new
    }.should raise_exception
  end

  before(:each) do
    date = DateTime.now
    @ts = Orgy::OrgTimeStamp.new date
  end

  it "detects if it is active or not" do
    @ts.active?.class.should eql FalseClass
  end

  it "sets itself as active" do
    @ts.active!.class.should eql TrueClass
    @ts.active?.class.should_not eql FalseClass
  end

  it "sets itself as inactive" do
    @ts.inactive!.class.should eql FalseClass
    @ts.active?.class.should_not eql TrueClass
  end

  it "detects if it has time" do
    @ts.has_time?.class.should eql FalseClass
  end

  it "toggles the has_time value" do
    @ts.toggle_time!.class.should eql TrueClass
    @ts.has_time?.class.should_not eql FalseClass
  end

  it "writes to string" do
    #@ts.active!
    #@ts.toggle_time!
    #@ts.weekly!
    #@ts.repeat_interval! 3
    #puts
    #puts @ts.to_s
    #puts
    @ts.to_s.class.should eql String
  end

end
